searchNodes=[{"doc":"Module with basic operations. All functions in this library use the parameters in the config.exs file. By default, the configuration for building static QR-Codes is: config :ex_pix , :static_code , payload_indicator : &quot;01&quot; , start_method : &quot;11&quot; , gui : &quot;br.gov.bcb.pix&quot; , currency_code : &quot;986&quot; , country_code : &quot;BR&quot; , default_value : &quot;0.00&quot; , category_code : &quot;0000&quot; If you need to change any of these parameters, just define it in your own configuration file.","ref":"ExPIX.html","title":"ExPIX","type":"module"},{"doc":"Generates a static raw code. This function uses the default parameters defined in the static_code configuration, but if you need a special parameter, this function can receive such parameters as well. key - The 'key' to be charged. It can be a CNPJ, CPF, phone number or a random binary string. It is not necessary to send the key type, but this function expects that the key is already in the format for your type (see the PIX docs for some examples). static_params - Basic information to build a static code. account_params - Optional parameters to build the notes of the operation. additional_params - Additional parameters to build the code. Example: iex&gt; ExPIX . generate_static_code ( &quot;email@email.com&quot; , %{ merchant_name : &quot;Leonardo Leite&quot; , merchant_city : &quot;Florianopolis&quot; } ) { :ok , &quot;00020101021126370014br.gov.bcb.pix0115email@email.com52040000530398654040.005802BR5914Leonardo Leite6013Florianopolis62070503***6304891C&quot; }","ref":"ExPIX.html#generate_static_code/4","title":"ExPIX.generate_static_code/4","type":"function"},{"doc":"Optional parameters to build the notes of the operation. :info - A string with the operation notes. Important: The count of characters of the info + count of characters of the gui + count of characters of the key must not exceed the limit of 99 characters. If this limit is exceeded, an error will be returned.","ref":"ExPIX.html#t:account_params/0","title":"ExPIX.account_params/0","type":"type"},{"doc":"Additional parameters to build the code. :txid - An ID to represent the operation. If not provided, the txid will be *** , that represents a random string to be generated by Banco Central. Important: Banco Central does not check if the provided ID is unique, so the recomendation here is use an UUID (ideally the v4). The count of characters must not exceed the limit of 99 characters. If this limit is exceeded, an error will be returned.","ref":"ExPIX.html#t:additional_params/0","title":"ExPIX.additional_params/0","type":"type"},{"doc":"Basic information for building static code. It must be a map with the following parameters: :merchant_name - Required field that represents the name of the user to be charged. :merchant_city - Required field that represents the city of the user to be charged. :postal_code - Non-Required field that represents the user's postal code. :amount - The amount of the operation. If not provided, the code will use the default value defined in the configuration. It must be a string in the format 0.00. :payload_indicator - The payload indicator of the operation. If not provided, the code will use the default value defined in the configuration. :initiation_method - The initiation method of the operation. If not provided, the code will use the default value defined in the configuration. :category_code - The category code of the operation. If not provided, the code will use the default value defined in the configuration. :currency_code - The currency code of the operation. If not provided, the code will use the default value defined in the configuration. :country_code - The country code of the operation. If not provided, the code will use the default value defined in the configuration.","ref":"ExPIX.html#t:static_params/0","title":"ExPIX.static_params/0","type":"type"},{"doc":"Functions to build the string code","ref":"ExPIX.Code.Builder.html","title":"ExPIX.Code.Builder","type":"module"},{"doc":"","ref":"ExPIX.Code.Builder.html#build/1","title":"ExPIX.Code.Builder.build/1","type":"function"},{"doc":"Module with helper functions","ref":"ExPIX.Code.Helpers.html","title":"ExPIX.Code.Helpers","type":"module"},{"doc":"","ref":"ExPIX.Code.Helpers.html#build_length/1","title":"ExPIX.Code.Helpers.build_length/1","type":"function"},{"doc":"","ref":"ExPIX.Code.Helpers.html#build_new_line/4","title":"ExPIX.Code.Helpers.build_new_line/4","type":"function"},{"doc":"","ref":"ExPIX.Code.Helpers.html#build_total_struct_length/1","title":"ExPIX.Code.Helpers.build_total_struct_length/1","type":"function"},{"doc":"","ref":"ExPIX.Code.Helpers.html#total_struct_length/1","title":"ExPIX.Code.Helpers.total_struct_length/1","type":"function"},{"doc":"Module with basic validations","ref":"ExPIX.Code.Validation.html","title":"ExPIX.Code.Validation","type":"module"},{"doc":"","ref":"ExPIX.Code.Validation.html#validate_field/2","title":"ExPIX.Code.Validation.validate_field/2","type":"function"},{"doc":"Struct representing the additional information","ref":"ExPIX.Data.Additional.html","title":"ExPIX.Data.Additional","type":"module"},{"doc":"","ref":"ExPIX.Data.Additional.html#ids/0","title":"ExPIX.Data.Additional.ids/0","type":"function"},{"doc":"","ref":"ExPIX.Data.Additional.html#max_lengths/0","title":"ExPIX.Data.Additional.max_lengths/0","type":"function"},{"doc":"","ref":"ExPIX.Data.Additional.html#total_length/0","title":"ExPIX.Data.Additional.total_length/0","type":"function"},{"doc":"Struct representing the static data","ref":"ExPIX.Data.Static.html","title":"ExPIX.Data.Static","type":"module"},{"doc":"","ref":"ExPIX.Data.Static.html#ids/0","title":"ExPIX.Data.Static.ids/0","type":"function"},{"doc":"","ref":"ExPIX.Data.Static.html#max_lengths/0","title":"ExPIX.Data.Static.max_lengths/0","type":"function"},{"doc":"","ref":"ExPIX.Data.Static.html#total_length/0","title":"ExPIX.Data.Static.total_length/0","type":"function"},{"doc":"Struct representing the merchant account information","ref":"ExPIX.Data.StaticAccount.html","title":"ExPIX.Data.StaticAccount","type":"module"},{"doc":"","ref":"ExPIX.Data.StaticAccount.html#ids/0","title":"ExPIX.Data.StaticAccount.ids/0","type":"function"},{"doc":"","ref":"ExPIX.Data.StaticAccount.html#max_lengths/0","title":"ExPIX.Data.StaticAccount.max_lengths/0","type":"function"},{"doc":"","ref":"ExPIX.Data.StaticAccount.html#total_length/0","title":"ExPIX.Data.StaticAccount.total_length/0","type":"function"}]